API referenceCounterparty
POST /api/Counterparty/RemoveCounterpartyTimeseriesConnection
Removes connections between counterparties and timeseries.
POST
/api/Counterparty/RemoveCounterpartyTimeseriesConnectioncurl -X POST "/api/Counterparty/RemoveCounterpartyTimeseriesConnection" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"timeseriesIds": [
0
],
"counterPartyId": 0
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.BackOffice.CounterPartyTimeseriesConnectionDeleteDto
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.CounterPartyTimeseriesConnectionCreateDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"timeseriesId": 0,
"counterPartyId": 0,
"validityOrder": 0,
"counterPartyTimeseriesTypeId": 0
}
]
}